Bug 1320326 - Error 'NoneType' object has no attribute 'device'
Summary: Error 'NoneType' object has no attribute 'device'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liveusb-creator
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1310542
TreeView+ depends on / blocked
 
Reported: 2016-03-22 20:38 UTC by Chris Murphy
Modified: 2016-09-20 02:47 UTC (History)
5 users (show)

Fixed In Version: liveusb-creator-3.93.3-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-26 16:34:18 UTC


Attachments (Terms of Use)

Description Chris Murphy 2016-03-22 20:38:55 UTC
Description of problem:

I get this message upon clicking "Write to disk"


Version-Release number of selected component (if applicable):
3.91.0-1.fc23


How reproducible:
Always if stick is not present at the time the program is launched. Never if the stick is present at the time the program is launched.

Steps to Reproduce:
1. Launch program
2. Click Custom OS
3. Choose an ISO
4. Click Create Live USB
5. Insert USB stick
6. Click Write to disk

Actual results:

'NoneType' object has no attribute 'device' in the GUI and in Terminal there's a traceback.

$ sudo /usr/bin/liveusb-creator
file:///usr/lib64/qt5/qml/QtQuick/Controls/ComboBox.qml:514:5: QML Menu: Binding loop detected for property ""
[creator:340] Overwriting device with live image
[gui:255] 'NoneType' object has no attribute 'device'
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/liveusb/gui.py", line 251, in run
    self.ddImage(now)
  File "/usr/lib/python2.7/site-packages/liveusb/gui.py", line 262, in ddImage
    self.live.dd_image()
  File "/usr/lib/python2.7/site-packages/liveusb/creator.py", line 341, in dd_image
    drive = self.drive.device
AttributeError: 'NoneType' object has no attribute 'device'
qrc:/components/DownloadDialog.qml:82: ReferenceError: cross is not defined
qrc:/components/DownloadDialog.qml:81: ReferenceError: cross is not defined



Expected results:

Not this.

Additional info:

Comment 1 Fedora Update System 2016-04-11 16:20:12 UTC
liveusb-creator-3.92.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 2 Fedora Update System 2016-04-12 10:52:42 UTC
liveusb-creator-3.92.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 3 Fedora Update System 2016-04-21 16:12:18 UTC
liveusb-creator-3.93.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 4 Fedora Update System 2016-04-21 21:59:09 UTC
liveusb-creator-3.93.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 5 Kamil Páral 2016-04-22 08:31:57 UTC
This is fixed with liveusb-creator-3.93.1-1.fc24

Comment 6 Fedora Update System 2016-04-22 17:06:34 UTC
liveusb-creator-3.93.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 7 Fedora Update System 2016-04-24 01:25:10 UTC
liveusb-creator-3.93.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 8 Fedora Update System 2016-04-26 08:13:22 UTC
liveusb-creator-3.93.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 9 Fedora Update System 2016-04-26 16:23:27 UTC
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ff4136b90c

Comment 10 Fedora Update System 2016-04-26 16:32:58 UTC
liveusb-creator-3.93.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.